OpenapiGenerated
Configure an integration for an organization.
POST
organizationSlug*stringMatch
^[a-z0-9-_]+$application/json- body
type*"stackstate"Value in
"stackstate"displayName*stringLength
3 <= length <= 255enabled?booleanconfig*Properties
1 <= propertiesRequest was successfully processed. The response body contains the requested data.
application/json- response
identity?stringFormat
uuidtype?"stackstate"Value in
"stackstate"displayName?stringenabled?booleanconfig?createdAt?stringFormat
date-timemodifiedAt?stringFormat
date-timeclustersUsingIntegration?array<>curl -X POST 'https://api.avisi.cloud/api/v1/orgs/string/integrations' \ -H 'Content-Type: application/json' \ -d '{ "type": "stackstate", "displayName": "string", "config": { "property1": "string", "property2": "string" }}'{ "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "type": "stackstate", "displayName": "string", "enabled": true, "config": { "property1": "string", "property2": "string" }, "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "clustersUsingIntegration": [ { "clusterIdentity": "5e08fe67-1274-475d-bd0c-a65b0330507f", "enabled": true, "environmentSlug": "string", "clusterSlug": "string", "clusterName": "string" } ]}